osl::CheckMoveVector Class Reference

`#include <container.h>`

Inheritance diagram for osl::CheckMoveVector:

## Additional Inherited Members

Public Types inherited from osl::FixedCapacityVector< Move, CheckOrEscapeMaxUniqMoves >
typedef array_t::value_type | value_type
typedef array_t::iterator | iterator
typedef array_t::const_iterator | const_iterator
Public Member Functions inherited from osl::FixedCapacityVector< Move, CheckOrEscapeMaxUniqMoves >
| FixedCapacityVector ()
| ~FixedCapacityVector ()
FixedCapacityVector & | operator= (FixedCapacityVector const &rhs)
Move & | operator[] (size_t i)
iterator | begin ()
iterator | end ()
Move & | front ()
Move & | back ()
void | push_back (const Move &e)
void | pop_back ()
void | clear ()
void | resize (size_t new_length)
void | erase (const Move &e)
void | unique ()
| 重複する要素を取り除く
size_t | size () const
bool | empty () const
size_t | capacity () const
bool | isMember (const Move &e, const_iterator first, const_iterator last) const
detail::FixedCapacityVectorPushBack< Move > | pushBackHelper ()
Protected Types inherited from osl::FixedCapacityVector< Move, CheckOrEscapeMaxUniqMoves >
typedef Array | array_t
Protected Attributes inherited from osl::FixedCapacityVector< Move, CheckOrEscapeMaxUniqMoves >
Move * | ptr
CArray< int64_t,(sizeof(Move[Capacity])+sizeof(int64_t) -1)/sizeof(int64_t)> | relements

## Detailed Description

Definition at line 300 of file container.h.

The documentation for this class was generated from the following file:

- container.h